> For the complete documentation index, see [llms.txt](https://ynteq.gitbook.io/ynteq-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ynteq.gitbook.io/ynteq-docs/api-docs/requests-and-work-orders.md).

# Requests And Work Orders

Essential information to generate Work Orders or Work Requests

## List Work Requests

> Retrieve a list of work requests with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/work-requests":{"get":{"tags":["Requests and work orders"],"summary":"List Work Requests","description":"Retrieve a list of work requests with pagination support.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"limit":{"nullable":true,"title":"Int","type":"integer"},"offset":{"nullable":true,"title":"Int","type":"integer"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"workorders":{"items":{"description":"columns and relationships of \"workorders\"","nullable":false,"properties":{"applicant_email":{"nullable":true,"title":"String","type":"string"},"applicant_name":{"nullable":true,"title":"String","type":"string"},"asset":{"$ref":"#/components/schemas/uuid"},"asset_type":{"nullable":true,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamp"},"description":{"nullable":true,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"priority":{"nullable":true,"title":"Int","type":"integer"},"request_approved_at":{"$ref":"#/components/schemas/timestamp"},"request_feedback":{"nullable":true,"title":"String","type":"string"},"request_status":{"nullable":true,"title":"String","type":"string"},"tagged_user_ids":{"$ref":"#/components/schemas/jsonb"},"title":{"nullable":false,"title":"String","type":"string"}},"title":"workorders","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/work-requests"}}}}},"components":{"schemas":{"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"jsonb":{"nullable":true,"title":"jsonb"}}}}
```

## Create Work Request

> Create a new work request for an asset with title, description, priority, and applicant information.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/work-requests":{"post":{"tags":["Requests and work orders"],"summary":"Create Work Request","description":"Create a new work request for an asset with title, description, priority, and applicant information.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"applicantEmail\" is required (enter it either in parameters or request body)_","in":"query","name":"applicantEmail","schema":{"type":"string"}},{"description":"_\"applicantName\" is required (enter it either in parameters or request body)_","in":"query","name":"applicantName","schema":{"type":"string"}},{"description":"_\"assetId\" is required (enter it either in parameters or request body)_","in":"query","name":"assetId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}},{"description":"_\"description\" is required (enter it either in parameters or request body)_","in":"query","name":"description","schema":{"type":"string"}},{"in":"query","name":"priority","schema":{"type":"integer"}},{"description":"_\"title\" is required (enter it either in parameters or request body)_","in":"query","name":"title","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"applicantEmail":{"nullable":false,"title":"String","type":"string"},"applicantName":{"nullable":false,"title":"String","type":"string"},"assetId":{"$ref":"#/components/schemas/uuid!"},"description":{"nullable":false,"title":"String","type":"string"},"priority":{"nullable":true,"title":"Int","type":"integer"},"title":{"nullable":false,"title":"String","type":"string"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"insert_workorders_one":{"description":"columns and relationships of \"workorders\"","nullable":true,"properties":{"applicant_email":{"nullable":true,"title":"String","type":"string"},"applicant_name":{"nullable":true,"title":"String","type":"string"},"asset":{"$ref":"#/components/schemas/uuid"},"asset_type":{"nullable":true,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamp"},"description":{"nullable":true,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"priority":{"nullable":true,"title":"Int","type":"integer"},"request_approved_at":{"$ref":"#/components/schemas/timestamp"},"request_feedback":{"nullable":true,"title":"String","type":"string"},"request_status":{"nullable":true,"title":"String","type":"string"},"tagged_user_ids":{"$ref":"#/components/schemas/jsonb"},"title":{"nullable":false,"title":"String","type":"string"}},"title":"workorders","type":"object"}}}}},"description":"Responses for POST /api/rest/work-requests"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"jsonb":{"nullable":true,"title":"jsonb"}}}}
```

## Get Work Request

> Retrieve detailed information about a specific work request by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/work-requests/{id}":{"get":{"tags":["Requests and work orders"],"summary":"Get Work Request","description":"Retrieve detailed information about a specific work request by its ID.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"id\" is required (enter it either in parameters or request body)_","in":"path","name":"id","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"workorders":{"items":{"description":"columns and relationships of \"workorders\"","nullable":false,"properties":{"applicant_email":{"nullable":true,"title":"String","type":"string"},"applicant_name":{"nullable":true,"title":"String","type":"string"},"asset":{"$ref":"#/components/schemas/uuid"},"asset_type":{"nullable":true,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamp"},"description":{"nullable":true,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"priority":{"nullable":true,"title":"Int","type":"integer"},"request_approved_at":{"$ref":"#/components/schemas/timestamp"},"request_feedback":{"nullable":true,"title":"String","type":"string"},"request_status":{"nullable":true,"title":"String","type":"string"},"tagged_user_ids":{"$ref":"#/components/schemas/jsonb"},"title":{"nullable":false,"title":"String","type":"string"}},"title":"workorders","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/work-requests/{id}"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"jsonb":{"nullable":true,"title":"jsonb"}}}}
```

## List Work Orders

> Retrieve a list of work orders with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/work-orders":{"get":{"tags":["Requests and work orders"],"summary":"List Work Orders","description":"Retrieve a list of work orders with pagination support.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"limit":{"nullable":true,"title":"Int","type":"integer"},"offset":{"nullable":true,"title":"Int","type":"integer"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"workorders":{"items":{"description":"columns and relationships of \"workorders\"","nullable":false,"properties":{"approval_date":{"$ref":"#/components/schemas/timestamp"},"asset":{"$ref":"#/components/schemas/uuid"},"asset_type":{"nullable":true,"title":"String","type":"string"},"completion_date":{"$ref":"#/components/schemas/timestamp"},"created_at":{"$ref":"#/components/schemas/timestamp"},"created_by_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"custom_field_values":{"items":{"description":"columns and relationships of \"workorder_custom_field_values\"","nullable":false,"properties":{"custom_field":{"description":"columns and relationships of \"workorder_custom_fields\"","nullable":false,"properties":{"name":{"nullable":false,"title":"String","type":"string"}},"title":"workorder_custom_fields","type":"object"},"value":{"$ref":"#/components/schemas/jsonb!"}},"title":"workorder_custom_field_values","type":"object"},"nullable":false,"type":"array"},"description":{"nullable":true,"title":"String","type":"string"},"due_date":{"$ref":"#/components/schemas/date"},"execution_end":{"$ref":"#/components/schemas/timestamp"},"execution_start":{"$ref":"#/components/schemas/timestamp"},"id":{"$ref":"#/components/schemas/uuid!"},"instructions":{"items":{"description":"columns and relationships of \"instructions\"","nullable":false,"properties":{"step_description":{"nullable":false,"title":"String","type":"string"}},"title":"instructions","type":"object"},"nullable":false,"type":"array"},"owner_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"priority":{"nullable":true,"title":"Int","type":"integer"},"signature":{"items":{"description":"columns and relationships of \"workorder_signatures\"","nullable":false,"properties":{"signer":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorder_signatures","type":"object"},"nullable":false,"type":"array"},"signature_is_required":{"nullable":false,"title":"Boolean","type":"boolean"},"tagged_user_ids":{"$ref":"#/components/schemas/jsonb"},"team_members":{"items":{"description":"columns and relationships of \"workorderusers\"","nullable":false,"properties":{"assignees":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorderusers","type":"object"},"nullable":false,"type":"array"},"title":{"nullable":false,"title":"String","type":"string"},"total_time_spent":{"$ref":"#/components/schemas/float8"},"updated_at":{"$ref":"#/components/schemas/timestamptz"},"updated_by_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"work_type_connection":{"description":"columns and relationships of \"work_types\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"work_types","type":"object"},"workorder_comments":{"items":{"description":"columns and relationships of \"workorder_comments\"","nullable":false,"properties":{"content":{"nullable":false,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamptz!"},"user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorder_comments","type":"object"},"nullable":false,"type":"array"},"workorder_number":{"nullable":false,"title":"Int","type":"integer"},"workorder_parts":{"items":{"description":"columns and relationships of \"workorder_parts\"","nullable":false,"properties":{"parts_inventory":{"description":"columns and relationships of \"parts_inventory\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"parts_inventory","type":"object"},"quantity_used":{"nullable":false,"title":"Int","type":"integer"}},"title":"workorder_parts","type":"object"},"nullable":false,"type":"array"},"workorder_status":{"description":"columns and relationships of \"status\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"type":{"nullable":false,"title":"String","type":"string"}},"title":"status","type":"object"},"workorder_tags":{"items":{"description":"columns and relationships of \"workorder_tags\"","nullable":false,"properties":{"tag":{"description":"columns and relationships of \"tags\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"tags","type":"object"}},"title":"workorder_tags","type":"object"},"nullable":false,"type":"array"},"workorder_team_assignees":{"items":{"description":"columns and relationships of \"workorder_team_assignees\"","nullable":false,"properties":{"team":{"description":"columns and relationships of \"teams\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"teams","type":"object"}},"title":"workorder_team_assignees","type":"object"},"nullable":false,"type":"array"},"workorder_vendor_assignees":{"items":{"description":"columns and relationships of \"workorder_vendor_assignees\"","nullable":false,"properties":{"vendor":{"description":"columns and relationships of \"vendors\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"vendors","type":"object"}},"title":"workorder_vendor_assignees","type":"object"},"nullable":false,"type":"array"}},"title":"workorders","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/work-orders"}}}}},"components":{"schemas":{"timestamp":{"nullable":true,"title":"timestamp"},"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"jsonb!":{"nullable":false,"title":"jsonb"},"date":{"nullable":true,"title":"date"},"jsonb":{"nullable":true,"title":"jsonb"},"float8":{"nullable":true,"title":"float8"},"timestamptz":{"nullable":true,"title":"timestamptz"},"timestamptz!":{"nullable":false,"title":"timestamptz"}}}}
```

## Create Work Order

> Create a new work order with details including title, description, priority, status, assigned users and teams.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/work-orders":{"post":{"tags":["Requests and work orders"],"summary":"Create Work Order","description":"Create a new work order with details including title, description, priority, status, assigned users and teams.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"assetId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}},{"in":"query","name":"description","schema":{"type":"string"}},{"in":"query","name":"priority","schema":{"type":"integer"}},{"description":"_\"statusId\" is required (enter it either in parameters or request body)_","in":"query","name":"statusId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}},{"description":"_\"title\" is required (enter it either in parameters or request body)_","in":"query","name":"title","schema":{"type":"string"}},{"in":"query","name":"workTypeId","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"assetId":{"$ref":"#/components/schemas/uuid"},"description":{"nullable":true,"title":"String","type":"string"},"dueDate":{"$ref":"#/components/schemas/date"},"priority":{"nullable":true,"title":"Int","type":"integer"},"statusId":{"$ref":"#/components/schemas/uuid!"},"title":{"nullable":false,"title":"String","type":"string"},"workTypeId":{"$ref":"#/components/schemas/uuid"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"insert_workorders_one":{"description":"columns and relationships of \"workorders\"","nullable":true,"properties":{"approval_date":{"$ref":"#/components/schemas/timestamp"},"asset":{"$ref":"#/components/schemas/uuid"},"asset_type":{"nullable":true,"title":"String","type":"string"},"completion_date":{"$ref":"#/components/schemas/timestamp"},"created_at":{"$ref":"#/components/schemas/timestamp"},"created_by_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"custom_field_values":{"items":{"description":"columns and relationships of \"workorder_custom_field_values\"","nullable":false,"properties":{"custom_field":{"description":"columns and relationships of \"workorder_custom_fields\"","nullable":false,"properties":{"name":{"nullable":false,"title":"String","type":"string"}},"title":"workorder_custom_fields","type":"object"},"value":{"$ref":"#/components/schemas/jsonb!"}},"title":"workorder_custom_field_values","type":"object"},"nullable":false,"type":"array"},"description":{"nullable":true,"title":"String","type":"string"},"due_date":{"$ref":"#/components/schemas/date"},"execution_end":{"$ref":"#/components/schemas/timestamp"},"execution_start":{"$ref":"#/components/schemas/timestamp"},"id":{"$ref":"#/components/schemas/uuid!"},"instructions":{"items":{"description":"columns and relationships of \"instructions\"","nullable":false,"properties":{"step_description":{"nullable":false,"title":"String","type":"string"}},"title":"instructions","type":"object"},"nullable":false,"type":"array"},"owner_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"priority":{"nullable":true,"title":"Int","type":"integer"},"signature":{"items":{"description":"columns and relationships of \"workorder_signatures\"","nullable":false,"properties":{"signer":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorder_signatures","type":"object"},"nullable":false,"type":"array"},"signature_is_required":{"nullable":false,"title":"Boolean","type":"boolean"},"tagged_user_ids":{"$ref":"#/components/schemas/jsonb"},"team_members":{"items":{"description":"columns and relationships of \"workorderusers\"","nullable":false,"properties":{"assignees":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorderusers","type":"object"},"nullable":false,"type":"array"},"title":{"nullable":false,"title":"String","type":"string"},"total_time_spent":{"$ref":"#/components/schemas/float8"},"updated_at":{"$ref":"#/components/schemas/timestamptz"},"updated_by_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"work_type_connection":{"description":"columns and relationships of \"work_types\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"work_types","type":"object"},"workorder_comments":{"items":{"description":"columns and relationships of \"workorder_comments\"","nullable":false,"properties":{"content":{"nullable":false,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamptz!"},"user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorder_comments","type":"object"},"nullable":false,"type":"array"},"workorder_number":{"nullable":false,"title":"Int","type":"integer"},"workorder_parts":{"items":{"description":"columns and relationships of \"workorder_parts\"","nullable":false,"properties":{"parts_inventory":{"description":"columns and relationships of \"parts_inventory\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"parts_inventory","type":"object"},"quantity_used":{"nullable":false,"title":"Int","type":"integer"}},"title":"workorder_parts","type":"object"},"nullable":false,"type":"array"},"workorder_status":{"description":"columns and relationships of \"status\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"type":{"nullable":false,"title":"String","type":"string"}},"title":"status","type":"object"},"workorder_tags":{"items":{"description":"columns and relationships of \"workorder_tags\"","nullable":false,"properties":{"tag":{"description":"columns and relationships of \"tags\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"tags","type":"object"}},"title":"workorder_tags","type":"object"},"nullable":false,"type":"array"},"workorder_team_assignees":{"items":{"description":"columns and relationships of \"workorder_team_assignees\"","nullable":false,"properties":{"team":{"description":"columns and relationships of \"teams\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"teams","type":"object"}},"title":"workorder_team_assignees","type":"object"},"nullable":false,"type":"array"},"workorder_vendor_assignees":{"items":{"description":"columns and relationships of \"workorder_vendor_assignees\"","nullable":false,"properties":{"vendor":{"description":"columns and relationships of \"vendors\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"vendors","type":"object"}},"title":"workorder_vendor_assignees","type":"object"},"nullable":false,"type":"array"}},"title":"workorders","type":"object"}}}}},"description":"Responses for POST /api/rest/work-orders"}}}}},"components":{"schemas":{"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"date":{"nullable":true,"title":"date"},"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"jsonb!":{"nullable":false,"title":"jsonb"},"jsonb":{"nullable":true,"title":"jsonb"},"float8":{"nullable":true,"title":"float8"},"timestamptz":{"nullable":true,"title":"timestamptz"},"timestamptz!":{"nullable":false,"title":"timestamptz"}}}}
```

## Get Work Order

> Retrieve detailed information about a specific work order by its ID, including assigned users, teams, and subtasks.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/work-orders/{id}":{"get":{"tags":["Requests and work orders"],"summary":"Get Work Order","description":"Retrieve detailed information about a specific work order by its ID, including assigned users, teams, and subtasks.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"id\" is required (enter it either in parameters or request body)_","in":"path","name":"id","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"workorders":{"items":{"description":"columns and relationships of \"workorders\"","nullable":false,"properties":{"approval_date":{"$ref":"#/components/schemas/timestamp"},"asset":{"$ref":"#/components/schemas/uuid"},"asset_type":{"nullable":true,"title":"String","type":"string"},"completion_date":{"$ref":"#/components/schemas/timestamp"},"created_at":{"$ref":"#/components/schemas/timestamp"},"created_by_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"custom_field_values":{"items":{"description":"columns and relationships of \"workorder_custom_field_values\"","nullable":false,"properties":{"custom_field":{"description":"columns and relationships of \"workorder_custom_fields\"","nullable":false,"properties":{"name":{"nullable":false,"title":"String","type":"string"}},"title":"workorder_custom_fields","type":"object"},"value":{"$ref":"#/components/schemas/jsonb!"}},"title":"workorder_custom_field_values","type":"object"},"nullable":false,"type":"array"},"description":{"nullable":true,"title":"String","type":"string"},"due_date":{"$ref":"#/components/schemas/date"},"execution_end":{"$ref":"#/components/schemas/timestamp"},"execution_start":{"$ref":"#/components/schemas/timestamp"},"id":{"$ref":"#/components/schemas/uuid!"},"instructions":{"items":{"description":"columns and relationships of \"instructions\"","nullable":false,"properties":{"step_description":{"nullable":false,"title":"String","type":"string"}},"title":"instructions","type":"object"},"nullable":false,"type":"array"},"owner_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"priority":{"nullable":true,"title":"Int","type":"integer"},"signature":{"items":{"description":"columns and relationships of \"workorder_signatures\"","nullable":false,"properties":{"signer":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorder_signatures","type":"object"},"nullable":false,"type":"array"},"signature_is_required":{"nullable":false,"title":"Boolean","type":"boolean"},"tagged_user_ids":{"$ref":"#/components/schemas/jsonb"},"team_members":{"items":{"description":"columns and relationships of \"workorderusers\"","nullable":false,"properties":{"assignees":{"description":"columns and relationships of \"users\"","nullable":false,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorderusers","type":"object"},"nullable":false,"type":"array"},"title":{"nullable":false,"title":"String","type":"string"},"total_time_spent":{"$ref":"#/components/schemas/float8"},"updated_at":{"$ref":"#/components/schemas/timestamptz"},"updated_by_user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"},"work_type_connection":{"description":"columns and relationships of \"work_types\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"work_types","type":"object"},"workorder_comments":{"items":{"description":"columns and relationships of \"workorder_comments\"","nullable":false,"properties":{"content":{"nullable":false,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamptz!"},"user":{"description":"columns and relationships of \"users\"","nullable":true,"properties":{"email":{"nullable":false,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"users","type":"object"}},"title":"workorder_comments","type":"object"},"nullable":false,"type":"array"},"workorder_number":{"nullable":false,"title":"Int","type":"integer"},"workorder_parts":{"items":{"description":"columns and relationships of \"workorder_parts\"","nullable":false,"properties":{"parts_inventory":{"description":"columns and relationships of \"parts_inventory\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"parts_inventory","type":"object"},"quantity_used":{"nullable":false,"title":"Int","type":"integer"}},"title":"workorder_parts","type":"object"},"nullable":false,"type":"array"},"workorder_status":{"description":"columns and relationships of \"status\"","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"type":{"nullable":false,"title":"String","type":"string"}},"title":"status","type":"object"},"workorder_tags":{"items":{"description":"columns and relationships of \"workorder_tags\"","nullable":false,"properties":{"tag":{"description":"columns and relationships of \"tags\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"tags","type":"object"}},"title":"workorder_tags","type":"object"},"nullable":false,"type":"array"},"workorder_team_assignees":{"items":{"description":"columns and relationships of \"workorder_team_assignees\"","nullable":false,"properties":{"team":{"description":"columns and relationships of \"teams\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"teams","type":"object"}},"title":"workorder_team_assignees","type":"object"},"nullable":false,"type":"array"},"workorder_vendor_assignees":{"items":{"description":"columns and relationships of \"workorder_vendor_assignees\"","nullable":false,"properties":{"vendor":{"description":"columns and relationships of \"vendors\"","nullable":false,"properties":{"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"}},"title":"vendors","type":"object"}},"title":"workorder_vendor_assignees","type":"object"},"nullable":false,"type":"array"}},"title":"workorders","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/work-orders/{id}"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"jsonb!":{"nullable":false,"title":"jsonb"},"date":{"nullable":true,"title":"date"},"jsonb":{"nullable":true,"title":"jsonb"},"float8":{"nullable":true,"title":"float8"},"timestamptz":{"nullable":true,"title":"timestamptz"},"timestamptz!":{"nullable":false,"title":"timestamptz"}}}}
```

## List Assets

> Retrieve a list of assets with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/assets":{"get":{"tags":["Requests and work orders"],"summary":"List Assets","description":"Retrieve a list of assets with pagination support.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"limit":{"nullable":true,"title":"Int","type":"integer"},"offset":{"nullable":true,"title":"Int","type":"integer"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"assets":{"items":{"description":"columns and relationships of \"assets\"","nullable":false,"properties":{"asset_vendor":{"description":"columns and relationships of \"vendors\"","nullable":true,"properties":{"custom_id":{"nullable":true,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"url":{"nullable":true,"title":"String","type":"string"}},"title":"vendors","type":"object"},"barcode":{"nullable":true,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamp"},"criticality":{"nullable":true,"title":"Int","type":"integer"},"custom_id":{"nullable":true,"title":"String","type":"string"},"description":{"nullable":true,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"maintenance_strategy":{"nullable":true,"title":"String","type":"string"},"make_year":{"nullable":true,"title":"Int","type":"integer"},"manufacturer":{"nullable":true,"title":"String","type":"string"},"model":{"nullable":true,"title":"String","type":"string"},"name":{"nullable":false,"title":"String","type":"string"},"notes":{"nullable":true,"title":"String","type":"string"},"order":{"nullable":true,"title":"Int","type":"integer"},"parent":{"$ref":"#/components/schemas/uuid"},"parent_type":{"nullable":true,"title":"String","type":"string"},"qr_code":{"nullable":true,"title":"String","type":"string"},"serial_number":{"nullable":true,"title":"String","type":"string"},"status":{"nullable":true,"title":"String","type":"string"},"updated_at":{"$ref":"#/components/schemas/timestamp"}},"title":"assets","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for GET /api/rest/assets"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```

## Get Asset

> Retrieve detailed information about a specific asset by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Ynteq API","version":"0.22.2"},"tags":[{"name":"Requests and work orders","description":"Essential information to generate Work Orders or Work Requests"}],"paths":{"/api/rest/assets/{id}":{"get":{"tags":["Requests and work orders"],"summary":"Get Asset","description":"Retrieve detailed information about a specific asset by its ID.","parameters":[{"description":"Bearer your-access-token","in":"header","name":"Authorization","schema":{"type":"string"}},{"description":"_\"id\" is required (enter it either in parameters or request body)_","in":"path","name":"id","schema":{"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"$ref":"#/components/schemas/uuid!"}},"type":"object"}}},"description":"Query parameters can also be provided in the request body as a JSON object","required":false},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"assets_by_pk":{"description":"columns and relationships of \"assets\"","nullable":true,"properties":{"asset_vendor":{"description":"columns and relationships of \"vendors\"","nullable":true,"properties":{"custom_id":{"nullable":true,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"name":{"nullable":false,"title":"String","type":"string"},"url":{"nullable":true,"title":"String","type":"string"}},"title":"vendors","type":"object"},"barcode":{"nullable":true,"title":"String","type":"string"},"created_at":{"$ref":"#/components/schemas/timestamp"},"criticality":{"nullable":true,"title":"Int","type":"integer"},"custom_id":{"nullable":true,"title":"String","type":"string"},"description":{"nullable":true,"title":"String","type":"string"},"id":{"$ref":"#/components/schemas/uuid!"},"maintenance_strategy":{"nullable":true,"title":"String","type":"string"},"make_year":{"nullable":true,"title":"Int","type":"integer"},"manufacturer":{"nullable":true,"title":"String","type":"string"},"model":{"nullable":true,"title":"String","type":"string"},"name":{"nullable":false,"title":"String","type":"string"},"notes":{"nullable":true,"title":"String","type":"string"},"order":{"nullable":true,"title":"Int","type":"integer"},"parent":{"$ref":"#/components/schemas/uuid"},"parent_type":{"nullable":true,"title":"String","type":"string"},"qr_code":{"nullable":true,"title":"String","type":"string"},"serial_number":{"nullable":true,"title":"String","type":"string"},"status":{"nullable":true,"title":"String","type":"string"},"updated_at":{"$ref":"#/components/schemas/timestamp"}},"title":"assets","type":"object"}}}}},"description":"Responses for GET /api/rest/assets/{id}"}}}}},"components":{"schemas":{"uuid!":{"nullable":false,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"},"timestamp":{"nullable":true,"title":"timestamp"},"uuid":{"nullable":true,"pattern":"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}","title":"uuid","type":"string"}}}}
```
